<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <meta http-equiv="Content-Style-Type" content="text/css" />
  <meta name="generator" content="pandoc" />
  <title></title>
  <style type="text/css">code{white-space: pre;}</style>
</head>
<body>
<style>
body {
    margin: auto;
    padding-right: 1em;
    padding-left: 1em;
    max-width: 44em;
    border-left: 1px solid black;
    border-right: 1px solid black;
    color: black;
    font-family: Verdana, sans-serif;
    font-size: 100%;
    line-height: 140%;
    color: #333;
}
pre, tt{
    font-family: monospace;
    background-color:#f8f8f8;
    padding: 2px 4px;
}
code{
    background-color:#f8f8f8;
    white-space: pre-wrap;
    font-size: 110%;
    padding: 1px 1px;
}
h1 a, h2 a, h3 a, h4 a, h5 a, li a {
    text-decoration: none;
    color: #7a5ada;
}
h1, h2, h3, h4, h5 { font-family: verdana;
                     font-weight: bold;
                     /*border-bottom: 1px dotted black;*/
                     color: #7a5ada; }
h1 {
        font-size: 130%;
}

h2 {
        font-size: 110%;
                     border-bottom: 1px dotted black;
}

h3 {
        font-size: 100%;
                     border-bottom: 1px dotted black;
}

h4 {
        font-size: 90%;
        font-style: italic;
                     border-bottom: 1px dotted black;
}

h5 {
        font-size: 85%;
        font-style: italic;
                     border-bottom: 1px dotted black;
}

h1.title {
        font-size: 200%;
        font-weight: bold;
        padding-top: 0.2em;
        padding-bottom: 0.2em;
        text-align: left;
        border: none;
}

dt code {
        font-weight: bold;
}
dd p {
        margin-top: 0;
}

#footer {
        padding-top: 1em;
        font-size: 70%;
        color: gray;
        text-align: center;
}
</style>
<div id="TOC">
<ul>
<li><a href="#sample-entries">Sample entries</a></li>
<li><a href="#screen-shots">Screen shots</a></li>
<li><a href="#demo">Demo</a></li>
<li><a href="#feedback">Feedback</a></li>
<li><a href="#license">License</a></li>
</ul>
</div>
<h2 id="sample-entries"><a href="#sample-entries">Sample entries</a></h2>
<p>In contrast to most calendar/todo applications, creating items (events, tasks, and so forth) in <em>etm</em> does not require filling out fields in a form. Instead, items are created as free-form text entries using a simple, intuitive format and stored in plain text files.</p>
<p>Items in <em>etm</em> begin with a type character such as an asterisk (event) and continue on one or more lines either until the end of the file is reached or another line is found that begins with a type character. The beginning type character for each item is followed by the item summary and then, perhaps, by one or more <code>@key value</code> pairs. The order in which such pairs are entered does not matter.</p>
<ul>
<li><p>A sales meeting (an event) [s]tarting seven days from today at 9:00am and [e]xtending for one hour with a default [a]lert 5 minutes before the start:</p>
<pre><code>* sales meeting @s +7 9a @e 1h @a 5</code></pre></li>
<li><p>The sales meeting with another [a]lert 2 days before the meeting to (e)mail a reminder to a list of recipients:</p>
<pre><code>* sales meeting @s +7 9a @e 1h @a 5
  @a 2d: e; who@when.com, what@where.org</code></pre></li>
<li><p>Prepare a report (a task) for the sales meeting [b]eginning 3 days early:</p>
<pre><code>- prepare report @s +7 @b 3</code></pre></li>
<li><p>A period [e]xtending 35 minutes (an action) spent working on the report yesterday:</p>
<pre><code>~ report preparation @s -1 @e 35</code></pre></li>
<li><p>Get a haircut (a task) on the 24th of the current month and then [r]epeatedly at (d)aily [i]ntervals of (14) days and, [o]n completion, (r)estart from the completion date:</p>
<pre><code>- get haircut @s 24 @r d &amp;i 14 @o r</code></pre></li>
<li><p>Payday (an occassion) on the last week day of each month. The <code>&amp;s -1</code> part of the entry extracts the last date which is both a weekday and falls within the last three days of the month):</p>
<pre><code>^ payday @s 1/1 @r m &amp;w (MO, TU, WE, TH, FR) &amp;m (-1, -2, -3) &amp;s -1</code></pre></li>
<li><p>Take a prescribed medication daily (a reminder) [s]tarting today and [r]epeating (d)aily at [h]ours 10am, 2pm, 6pm and 10pm [u]ntil (12am on) the fourth day from today. Trigger the default [a]lert zero minutes before each event:</p>
<pre><code>* take Rx @s +0 @r d &amp;h 10, 14, 18, 22 &amp;u +4 @a 0</code></pre></li>
<li><p>Presidential election day (an occasion) every four years on the first Tuesday after a Monday in November:</p>
<pre><code>^ Presidential Election Day @s 2012-11-06
  @r y &amp;i 4 &amp;M 11 &amp;m (2,3,4,5,6,7,8) &amp;w TU</code></pre></li>
<li><p>Join the etm discussion group (a task) [s]tarting on the first day of the next month. Because of the <span class="citation">@g</span> (goto) link, pressing Ctrl-G when the details of this item are displayed in the gui would open the link using the system default application which, in this case, would be your default browser:</p>
<pre><code>- join the etm discussion group @s +1/1
  @g http://groups.google.com/group/eventandtaskmanager/topics</code></pre></li>
</ul>
<h2 id="screen-shots"><a href="#screen-shots">Screen shots</a></h2>
<table align="right" hspace="10" vspace="10" width="100%">
<tr>
    <td>
    
<img src="images/day_view.png" width="100%"/></a>
</td>
    <td>
    
<img src="images/week_view.png" width="100%"/></a>
</td>
</tr>
<tr>
    <td>
    
<img src="images/now_view.png" width="100%"/></a>
</td>
    <td>
    
<img src="images/next_view.png" width="100%"/></a>
</td>
</tr>
<tr>
    <td>
    
<img src="images/folder_view.png" width="100%"/></a>
</td>
    <td>
    
<img src="images/tag_view.png" width="100%"/></a>
</td>
</tr>
</table>

<hr/>

<h2 id="demo"><a href="#demo">Demo</a></h2>
<p>Approximately 29 minutes - click image to play.</p>
<p><a href="etm_introduction720/Resources/etm_introduction720.mov" rel="qtposter"> <img src="etm_introduction720/Resources/etm_introduction720.jpg" width="682" height="410" alt="etm_introduction"/> </a></p>
<h2 id="feedback"><a href="#feedback">Feedback</a></h2>
<p>Please share your ideas in the discussion group at <a href="http://groups.google.com/group/eventandtaskmanager">GoogleGroups</a>.</p>
<h2 id="license"><a href="#license">License</a></h2>
<p>Copyright (c) 2009-2013 <script type="text/javascript">
<!--
h='&#100;&#x75;&#x6b;&#x65;&#46;&#x65;&#100;&#x75;';a='&#64;';n='&#x2f;&#x2f;&#100;&#x61;&#110;&#x69;&#x65;&#108;&#46;&#x67;&#114;&#x61;&#104;&#x61;&#x6d;';e=n+a+h;
document.write('<a h'+'ref'+'="ma'+'ilto'+':'+e+'">'+'Daniel Graham'+'<\/'+'a'+'>');
// -->
</script><noscript>&#68;&#x61;&#110;&#x69;&#x65;&#108;&#32;&#x47;&#114;&#x61;&#104;&#x61;&#x6d;&#32;&#40;&#x2f;&#x2f;&#100;&#x61;&#110;&#x69;&#x65;&#108;&#46;&#x67;&#114;&#x61;&#104;&#x61;&#x6d;&#32;&#x61;&#116;&#32;&#100;&#x75;&#x6b;&#x65;&#32;&#100;&#x6f;&#116;&#32;&#x65;&#100;&#x75;&#x29;</noscript>. All rights reserved.</p>
<p>This program is free software; you can redistribute it and/or modify it under the terms of the <a href="http://www.gnu.org/licenses/gpl.html">GNU General Public License</a> as published by the Free Software Foundation; either version 3 of the License, or (at your option) any later version.</p>
</body>
</html>
